@import "../mainMixins";

/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */

.wrapper {
  display: flex;
  align-items: stretch;
  height: 100%;
  width: 100%;
  float: left;
}

/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */
#side-bar-grid{
  width: 11%;
  float: left;
  @include transition( all 0.3s );
  &.active{
    width: 4%;
  }
  &.login-header{
    width: 0;
    @include transition( none );
  }
}

#content {
  width: 89%;
  min-height: 100vh;
  float: right;
  @include transition( all 0.3s );
  &.active{
    width: 96%;
  }
  &.login-header{
    width: 100%;
    @include transition( none );
  }
}

#header-container {
  position: fixed;
  width: 89%;
  float: right;
  z-index: 1005;
  @include transition( all 0.3s );
  &.active{
    width: 96%;
  }
  &.login-header{
    width: 100%;
    @include transition( none );
  }
}

#main-container{
  padding-top: 65px;
  max-height: 100vh;
  min-height: 100vh;
  overflow-y: scroll;
  &.login-header{
    padding-top: 0;
  }
}

@media (min-width: 320px) and (max-width: 480px) {
  #side-bar-grid {
    width: 0;
    &.active {
      width: 12%;
    }
  }
  #header-container {
    width: 100%;
    &.active {
      width: 88%;
    }
  }
  #content {
    width: 100%;
    &.active {
      width: 88%;
    }
  }
}

@media (min-width: 481px) and (max-width: 767px) {
  #side-bar-grid {
    width: 0;
    &.active {
      width: 12%;
    }
  }
  #header-container {
    width: 100%;
    &.active {
      width: 88%;
    }
  }
  #content {
    width: 100%;
    &.active{
      width: 88%;
    }
  }
}

@media (min-width: 768px) and (max-width: 1024px) {
  #side-bar-grid{
    width: 20%;
    &.active{
      width: 10%;
    }
  }
  #header-container {
    width: 80%;
    &.active{
      width: 90%;
    }
  }
  #content {
    width: 80%;
    &.active{
      width: 90%;
    }
  }
}

@media (min-width: 900px) and (max-width: 1440px) {
  #side-bar-grid{
    width: 13%;
    &.active{
      width: 8%;
    }
  }
  #header-container {
    width: 87%;
    &.active{
      width: 92%;
    }
  }
  #content {
    width: 87%;
    &.active{
      width: 92%;
    }
  }
}

@media (min-width: 1024px) and (max-width: 1366px) {
  #side-bar-grid{
    width: 18%;
    &.active{
      width: 8%;
    }
  }
  #header-container {
    width: 82%;
    &.active{
      width: 92%;
    }
  }
  #content {
    width: 82%;
    &.active{
      width: 92%;
    }
  }
}

@media (min-width: 320px) and (max-width: 1366px) {
  #side-bar-grid{
    &.login-header{
      width: 0;
      @include transition( none );
    }
  }
  #header-container{
    &.login-header{
      width: 100%;
      @include transition( none );
    }
  }
  #content{
    &.login-header{
      width: 100%;
      @include transition( none );
    }
  }
}
